Subject: Re: [PATCH net-next] virtio_net: Increase RSS max key size to match NETDEV_RSS_KEY_LEN

From: Willem de Bruijn <[email-masked]>
Date: Thu, 22 Jan 2026 14:32:28 -0500

Eric Dumazet wrote:
> On Thu, Jan 22, 2026 at 4:52 PM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Thu, 22 Jan 2026 14:45:27 +0530 Srujana Challa wrote:
> > > Increase VIRTIO_NET_RSS_MAX_KEY_SIZE from 40 to 52 bytes to align with
> > > the kernel's standard RSS key length defined by NETDEV_RSS_KEY_LEN.
> >
> > I've been meaning to bump NETDEV_RSS_KEY_LEN to 128 or some such.
> > Most modern drivers can't use netdev_rss_key_fill() either because
> > core generates a tiny key. And the devices support hashing over two
> > layers of IPv6 for tunnels.
> 
> Seems fine to me. Back in 2014, RSS was limited to 52 bytes on all known NIC.

What is the purpose of extending?

The current length is sufficient for standard Toeplitz 4-tuple hashing.